1.0
1.0
get /v1/payments/monthly
Description
Get payment monthly data.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | Size Example : 10 | any of [integer, null] | 20 |
| query | page optional | Page Example : 1 | any of [integer, null] | 1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | OrgPaymentMonthlyResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/payments/monthly
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = costexplorer 1.0"
Example HTTP response
Response 200
{
"count": 20,
"size": 10,
"page": 1,
"payments": [
{
"payer_account_id": "228cb9e4a7934f84853594c7f26f7a21",
"payer_account_name": "test-account",
"payer_account_type": "MEMBER",
"bill_year_month": "2024-08",
"used_year_month": "2024-08",
"payment_date": "2024-08-01",
"bill_currency": "KRW",
"payment_currency": "KRW",
"payment_state": "PAID",
"bill_amount": {
"krw": "0.000",
"usd": "0.00"
},
"used_amount": {
"krw": "0.000",
"usd": "0.00"
},
"unpaid_amount": {
"krw": "0.000",
"usd": "0.00"
},
"paid_amount": {
"krw": "0.000",
"usd": "0.00"
},
"accumulated_unpaid_amount": {
"krw": "0.000",
"usd": "0.00"
},
"suspended_year_month": "2024-08"
}
]
}